List documents for a account
GET https://services.leadconnectorhq.com/proposals/documentAuthorization Query parameters Responses 200 - Document fetched successfully documents (object[], required): List of documents
locationId (string, required): Account Id Example: hTlkh7t8gujsahgg93
documentId (string, required): Document Id Example: hTlkh7t8gujsahgg93
_id (string, required): Unique identifier Example: 67ac9a51106ee8311e911XXXX
name (string, required): Name of the document Example: Document Name
type (string, required): Type of the document Example: proposal
deleted (boolean, required): Whether the document is deleted Example: False
isExpired (boolean, required): Whether the document is expired Example: False
documentRevision (number, required): Number of times document is moved to draft state Example: 1
fillableFields (object[], required): Fillable fields
fieldId (string, required): Field Id Example: text_field_1
isRequired (boolean, required): Is the field required Example: True
hasCompleted (boolean, required): Has the field been completed Example: True
recipient (string, required): Recipient Example: John Doe
entityType (string, required): Entity type Possible values: 'contacts', 'users'
id (string, required): Id Example: 2d0a6fe1-d519-4198-8785-3da1d7cab925
type (string, required): Element type Possible values: 'Page', 'Text', 'Image', 'Video', 'Table', 'ProductList', 'PageBreak', 'Signature', 'PaymentDetails', 'TextField', 'DateField', 'InitialsField', 'Checkbox', 'Row', 'Column'
value (string, required): Value of the field Example: John Doe
grandTotal (object, required): Grand total object of the document
locale (string, required): Locale of the account Example: en-US
status (string[], required): Document status Example: draft
paymentStatus (string[], required): Payment status Example: paid
recipients (object[], required): Recipients
id (string, required): Recipient Id Example: u240JcS0E5qE0ziHnwMm
firstName (string): Recipient First Name Example: Jim
lastName (string): Recipient Last Name Example: Anton
email (string, required): Recipient Email Example: jim@gmail.com
phoneNumber (string): Recipient Phone Number Example: +1234567890
phone (string): Recipient Phone Example: 1234567890
hasCompleted (boolean, required): Recipient has completed the document Example: True
role (string, required): Recipient role Possible values: 'user', 'signer' Example: signer
isPrimary (boolean, required): Recipient is primary Example: True
signingOrder (number, required): Recipient signing order Example: 1
imgUrl (string): Recipient image url Example: base64 image url
ip (string): Recipient ip Example: 123.123.123.123
userAgent (string): Recipient user agent Example: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36
signedDate (string): Recipient signed date Example: 2025-02-03T18:30:00.000Z
contactName (string): Recipient contact name Example: Jim Anton
country (string): Recipient country Example: United States
entityName (string): Recipient entity name Example: Jim Anton
initialsImgUrl (string): Recipient initials image url Example: base64 image url
lastViewedAt (string): Recipient last viewed date Example: 2025-02-03T18:30:00.000Z
shareLink (string): Share link Example: https://www.google.com
links (object[], required): Links for the document if its sent
referenceId (string, required): Reference ID Example: 550e8400-e29b-41d4-a716-446655440000
documentId (string, required): Document ID Example: c1e87a91-93b2-4b78-821f-85cf0e1f925b
recipientId (string, required): Recipient ID Example: u240JcS0E5qE0ziHnwMm
entityName (string, required): Entity name that the recipient belongs to Possible values: 'contacts', 'users' Example: contacts
recipientCategory (string, required): Recipient category (recipient, cc, or bcc) Possible values: 'recipient', 'cc', 'bcc' Example: recipient
documentRevision (number, required): Document revision number Example: 1
createdBy (string, required): Created by user ID Example: b6d8fa28-1112-4dc7-b9d2-f22b75a477ea
deleted (boolean, required): Whether the document is deleted Example: False
updatedAt (string, required): Date start from (ISO 8601) Example: 2025-02-03T18:30:00.000Z
createdAt (string, required): Date to (ISO 8601) Example: 2025-02-14T18:29:59.999Z
total (number, required): Total records available Example: 10
whiteLabelBaseUrl (number): WhiteLabel url for document Example: https://example.com
whiteLabelBaseUrlForInvoice (number): WhiteLabel url for invoice Example: https://example.com
{
"documents" : [
{
"locationId" : "hTlkh7t8gujsahgg93" ,
"documentId" : "hTlkh7t8gujsahgg93" ,
"_id" : "67ac9a51106ee8311e911XXXX" ,
"name" : "Document Name" ,
"type" : "proposal" ,
"deleted" : false ,
"isExpired" : false ,
"documentRevision" : 1 ,
"fillableFields" : [
{}
],
"locale" : "en-US" ,
"status" : "draft" ,
"paymentStatus" : "paid" ,
"recipients" : [
{
"id" : "u240JcS0E5qE0ziHnwMm" ,
"email" : "jim@gmail.com" ,
"imageUrl" : "" ,
"contactName" : "Jim Anton" ,
"firstName" : "Jim" ,
"lastName" : "Anton" ,
"role" : "signer" ,
"hasCompleted" : true ,
"signingOrder" : 1 ,
"imgUrl" : "base64 image url" ,
"ip" : "123.123.123.123"
}
],
"links" : [
{}
],
"updatedAt" : "2025-02-03T18:30:00.000Z" ,
"createdAt" : "2025-02-14T18:29:59.999Z"
}
],
// truncado: 4 lineas mas
}400 - Unprocessable Entity statusCode (number): Example: 400
message (string): Example: Bad Request
{
"statusCode" : 400 ,
"message" : "Bad Request"
}Example curl -X GET 'https://services.leadconnectorhq.com/proposals/document' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' const response = await fetch ('https://services.leadconnectorhq.com/proposals/document' , {
method : 'GET' ,
headers : {
Authorization : `Bearer ${process.env.LEADWAY_TOKEN}` ,
Version : '2021-07-28' ,
},
});
const data = await response.json ();import os, requests
response = requests.request (
'GET' ,
'https://services.leadconnectorhq.com/proposals/document' ,
headers ={
'Authorization' : f"Bearer {os.environ['LEADWAY_TOKEN']}" ,
'Version' : '2021-07-28' ,
},
)
data = response.json ()<?php
$ch = curl_init ('https://services.leadconnectorhq.com/proposals/document' );
curl_setopt_array ($ch, [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'GET' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ('LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
],
]);
$data = json_decode (curl_exec ($ch), true );